読者です 読者をやめる 読者になる 読者になる

青いの

睡眠に関するあれこれや、技術メモ、ゲームの感想、その他いろいろ。

Ruby

またlibv8, therubyracer, Yosemiteでハマる、でも

以前こちら↓で触れた話題 libv8とtherubyracer入らない問題にわたしもハマったメモ - 青いの この時はlibv8とtherubyracerの適切なversionを調べてちゃんと適合しあうやつを入れましょうね、という解決法だったのですが… 他の環境用にapple-gcc42を消したりg…

YosemiteにしたらRuby2.1.3が入らなくなったメモ

軽い気持ちでホイホイYosemiteにしてみたらコケた話し。 $ rbenv install --list ってしてもrbenv listに2.1.3がない。当然インストールもできない、こまった。 $ brew upgrade rbenv ってしてもrbenvは最新だよって出ちゃう。 あ、でも $ brew upgrade ruby…

libv8とtherubyracer入らない問題にわたしもハマったメモ

つまづきまくって半泣きで1日無駄にしたのでメモだよ。 参考:therubyracer 0.11.0 問題まとめ - 自称すーじー。 ■原因 上記エントリで詳しく説明してくださっていますが、つまり therubyracer と libv8 というふたつのgemの依存関係/相性の問題のようです。…